public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Christoph Junghans" <kleiner_otti@gmx.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-visualization/gnuplot/
Date: Sun, 23 Dec 2012 00:28:37 +0000 (UTC)	[thread overview]
Message-ID: <1356221448.f4a48336696431638c54170937de26288113e6d0.kleiner_otti@gentoo> (raw)

commit:     f4a48336696431638c54170937de26288113e6d0
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 23 00:10:48 2012 +0000
Commit:     Christoph Junghans <kleiner_otti <AT> gmx <DOT> de>
CommitDate: Sun Dec 23 00:10:48 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=f4a48336

reworked emacs issue (bug #444526#c3) + move to git

Package-Manager: portage-2.2.0_alpha149

---
 sci-visualization/gnuplot/ChangeLog               |    4 +-
 sci-visualization/gnuplot/gnuplot-4.7.9999.ebuild |   45 +++++++++++++--------
 2 files changed, 31 insertions(+), 18 deletions(-)

diff --git a/sci-visualization/gnuplot/ChangeLog b/sci-visualization/gnuplot/ChangeLog
index 5a9c9e1..f17d274 100644
--- a/sci-visualization/gnuplot/ChangeLog
+++ b/sci-visualization/gnuplot/ChangeLog
@@ -2,6 +2,9 @@
 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  23 Dec 2012; Christoph Junghans <ottxor@gentoo.org> gnuplot-4.7.9999.ebuild:
+  reworked emacs issue (bug #444526#c3) + move to git
+
   07 Jun 2012; Christoph Junghans <ottxor@gentoo.org> gnuplot-4.7.9999.ebuild:
   fixed info install
 
@@ -135,4 +138,3 @@
 
   21 May 2009; Christoph Junghans <kleiner_otti@gmx.de> ChangeLog:
   Initial commit ,based upon bug #232363
-

diff --git a/sci-visualization/gnuplot/gnuplot-4.7.9999.ebuild b/sci-visualization/gnuplot/gnuplot-4.7.9999.ebuild
index bede5f3..4c86d15 100644
--- a/sci-visualization/gnuplot/gnuplot-4.7.9999.ebuild
+++ b/sci-visualization/gnuplot/gnuplot-4.7.9999.ebuild
@@ -2,22 +2,24 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/sci-visualization/gnuplot/gnuplot-4.6_rc1.ebuild,v 1.7 2012/03/07 00:33:49 ulm Exp $
 
-EAPI=4
+EAPI=5
 
 inherit elisp-common multilib wxwidgets
 
 DESCRIPTION="Command-line driven interactive plotting program"
 HOMEPAGE="http://www.gnuplot.info/"
 
-if [[ -z ${PV%%*9999} ]]; then
-	inherit autotools cvs
-	ECVS_SERVER="gnuplot.cvs.sourceforge.net:/cvsroot/gnuplot/gnuplot"
-	ECVS_MODULE="gnuplot"
-	ECVS_BRANCH="HEAD"
-	ECVS_USER="anonymous"
-	ECVS_CVS_OPTIONS="-dP"
+if [[ ${PV} = *9999 ]]; then
+	inherit autotools
+	#inherit cvs
+	#ECVS_SERVER="gnuplot.cvs.sourceforge.net:/cvsroot/gnuplot/gnuplot"
+	#ECVS_MODULE="gnuplot"
+	#ECVS_BRANCH="HEAD"
+	#ECVS_USER="anonymous"
+	#ECVS_CVS_OPTIONS="-dP"
+	inherit git-2
+	EGIT_REPO_URI="git://github.com/gnuplot/gnuplot.git"
 	MY_P="${PN}"
-	SRC_URI=""
 else
 	MY_P="${P/_/.}"
 	SRC_URI="mirror://sourceforge/gnuplot/${MY_P}.tar.gz"
@@ -26,7 +28,8 @@ fi
 LICENSE="gnuplot GPL-2 bitmap? ( free-noncomm )"
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
-IUSE="bitmap cairo doc emacs examples +gd ggi latex lua qt4 readline svga thin-splines wxwidgets X"
+IUSE="bitmap cairo doc emacs examples +gd ggi latex lua qt4 readline svga thin-splines wxwidgets X xemacs"
+REQUIRED_USE="?? ( emacs xemacs )"
 RESTRICT="wxwidgets? ( test )"
 
 RDEPEND="
@@ -52,17 +55,22 @@ RDEPEND="
 		x11-libs/cairo
 		x11-libs/pango
 		x11-libs/gtk+:2 )
-	X? ( x11-libs/libXaw )"
+	X? ( x11-libs/libXaw )
+	xemacs? (
+		app-editors/xemacs
+		app-xemacs/xemacs-base )"
 DEPEND="${RDEPEND}
 	virtual/pkgconfig
 	doc? (
 		virtual/latex-base
 		dev-texlive/texlive-latexextra
-		app-text/ghostscript-gpl )"
+		app-text/ghostscript-gpl )
+	xemacs? ( app-xemacs/texinfo )"
 
-if [[ -z ${PV%%*9999} ]]; then
+if [[ ${PV} = *9999 ]]; then
 	# The live ebuild always needs an Emacs for building of gnuplot.texi
-	DEPEND="${DEPEND} virtual/emacs"
+	DEPEND="${DEPEND}
+	!emacs? ( !xemacs? ( || ( virtual/emacs app-xemacs/texinfo ) ) )"
 fi
 
 S="${WORKDIR}/${MY_P}"
@@ -72,7 +80,7 @@ E_SITEFILE="50${PN}-gentoo.el"
 TEXMF="${EPREFIX}/usr/share/texmf-site"
 
 src_prepare() {
-	if [[ -z ${PV%%*9999} ]]; then
+	if [[ ${PV} = *9999 ]]; then
 		local dir
 		for dir in config demo m4 term tutorial; do
 			emake -C "$dir" -f Makefile.am.in Makefile.am
@@ -117,9 +125,12 @@ src_configure() {
 		&& myconf="${myconf} --with-readline=gnu" \
 		|| myconf="${myconf} --with-readline=builtin"
 
-	local emacs=$(usev emacs || echo no)
+	local emacs=$(usev emacs || usev xemacs || echo no)
+	if [[ ${PV} = *9999 && ${emacs} = no ]]; then
 		# Live ebuild needs an Emacs to build gnuplot.texi
-	[[ -z ${PV%%*9999} ]] && emacs=emacs
+		if has_version virtual/emacs; then emacs=emacs
+		elif has_version app-xemacs/texinfo; then emacs=xemacs; fi
+	fi
 
 	econf ${myconf} \
 		DIST_CONTACT="http://bugs.gentoo.org/" \


             reply	other threads:[~2012-12-23  0:28 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-12-23  0:28 Christoph Junghans [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-06-10 16:09 [gentoo-commits] proj/sci:master commit in: sci-visualization/gnuplot/ Andreas Hüttel
2016-02-11  9:11 Justin Lecher
2015-12-18 21:09 Christoph Junghans
2015-09-23 12:48 Justin Lecher
2015-05-25 23:02 Christoph Junghans
2015-05-25 23:02 Christoph Junghans
2014-11-08 20:48 Christoph Junghans
2014-09-16 22:09 Christoph Junghans
2014-09-08 20:31 Christoph Junghans
2014-07-14  0:46 Christoph Junghans
2014-07-13 20:19 Christoph Junghans
2014-03-22 23:31 Christoph Junghans
2014-03-22 23:31 Christoph Junghans
2013-07-14 17:05 Christoph Junghans
2013-06-19  5:29 Christoph Junghans
2013-06-14 11:21 Justin Lecher
2013-04-22  1:39 Christoph Junghans
2013-03-12 20:30 Christoph Junghans
2013-03-07 22:15 Christoph Junghans
2012-12-10  3:30 Christoph Junghans
2012-06-07  6:30 Christoph Junghans
2012-03-14  2:00 Christoph Junghans
2012-01-28  3:28 Christoph Junghans
2012-01-27  3:22 Christoph Junghans
2011-11-03 23:24 Christoph Junghans
2011-07-16 17:00 Justin Lecher
2011-05-28 13:09 Christoph Junghans
2011-05-28 13:09 Christoph Junghans
2011-05-08 14:47 Christoph Junghans
2011-02-23 19:44 Christoph Junghans
2011-02-22 21:27 Christoph Junghans

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1356221448.f4a48336696431638c54170937de26288113e6d0.kleiner_otti@gentoo \
    --to=kleiner_otti@gmx.de \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox